@tailwind base;
@tailwind components;
@tailwind utilities;

@import './styles/animation/moveXmoveY.scss';
@import './styles/animation/loading.scss';
@import './styles/animation/minimizeWidth.scss';
@import './styles/animation/opacity.scss';
@import './styles/animation/margin.scss';
@import './styles/animation/width.scss';
@import './styles/animation/grow.scss';


@font-face {
    font-family: 'NikkYou';
    font-display: swap;
    src: url('./assets/nikkyou.ttf') format('truetype');
}

html,
body {
    height: 100%
}

body {
    font-size: 16px;
    margin: 0;
    font-family: 'NikkYou', 'Chivo Mono', monospace;
}

.about {
    min-width: 64px;
    flex-grow: 1;

    &__logo {
        position: absolute;
        top: calc(50% - 75px);
        left: calc(50% - 75px);

        animation: moveXInitial 4s linear 1s 1, moveXNew 8s linear 5s infinite alternate, moveYInitial 5.4s linear 1s 1, moveYNew 10.8s linear 6.4s infinite alternate;
        -webkit-animation: moveXInitial 4s linear 1s 1, moveXNew 8s linear 5s infinite alternate, moveYInitial 5.4s linear 1s 1, moveYNew 10.8s linear 6.4s infinite alternate;
        -moz-animation: moveXInitial 4s linear 1s 1, moveXNew 8s linear 5s infinite alternate, moveYInitial 5.4s linear 1s 1, moveYNew 10.8s linear 6.4s infinite alternate;
        -o-animation: moveXInitial 4s linear 1s 1, moveXNew 8s linear 5s infinite alternate, moveYInitial 5.4s linear 1s 1, moveYNew 10.8s linear 6.4s infinite alternate;
    }
}

.sections {
    &__container {
        margin-right: -128px;
        opacity: 0;
        flex-grow: 0;

        &--anim {
            &-open {
                opacity: 1;
                margin-right: 0px;

                animation: Grow0To8 0.75s ease-out 0.2s 1 forwards;
                -webkit-animation: Grow0To8 0.75s ease-out 0.2s 1 forwards;
                -moz-animation: Grow0To8 0.75s ease-out 0.2s 1 forwards;
                -o-animation: Grow0To8 0.75s ease-out 0.2s 1 forwards;
            }

            &-first-open {
                animation: Reduce128Margin ease-out 0.6s 1 forwards, fillOpacity 0s ease-out 0s 1 forwards, Grow0To8 0.75s ease-out 2s 1 forwards;
                -webkit-animation: Reduce128Margin ease-out 0.6s 1 forwards, fillOpacity 0s ease-out 0s 1 forwards, Grow0To8 0.75s ease-out 2s 1 forwards;
                -moz-animation: Reduce128Margin ease-out 0.6s 1 forwards, fillOpacity 0s ease-out 0s 1 forwards, Grow0To8 0.75s ease-out 2s 1 forwards;
                -o-animation: Reduce128Margin ease-out 0.6s 1 forwards, fillOpacity 0s ease-out 0s 1 forwards, Grow0To8 0.75s ease-out 2s 1 forwards;
            }

            &-close {
                opacity: 1;
                margin-right: 0px;

                animation: Grow8To0 0.75s ease-out 0s 1 forwards;
                -webkit-animation: Grow8To0 0.75s ease-out 0s 1 forwards;
                -moz-animation: Grow8To0 0.75s ease-out 0s 1 forwards;
                -o-animation: Grow8To0 0.75s ease-out 0s 1 forwards;
            }
        }
    }
}

.projects,
.information {
    // border-left: 1px solid #3a3a3a;
    min-width: 64px;

    &__title {
        transform: rotate(270deg);

        &--opened {
            animation: DecreaseWidth100To0 0.75s ease-out 0s 1 forwards, drainOpacity 0.75s ease-out 0s 1 forwards;
            -webkit-animation: DecreaseWidth100To0 0.75s ease-out 0s 1 forwards, drainOpacity 0.75s ease-out 0s 1 forwards;
            -moz-animation: DecreaseWidth100To0 0.75s ease-out 0s 1 forwards, drainOpacity 0.75s ease-out 0s 1 forwards;
            -o-animation: DecreaseWidth100To0 0.75s ease-out 0s 1 forwards, drainOpacity 0.75s ease-out 0s 1 forwards;
        }

        &--closed {
            animation: IncreaseWidth0To100 0.75s ease-out 0s 1 forwards, fillOpacity 0.75s ease-out 0s 1 forwards;
            -webkit-animation: IncreaseWidth0To100 0.75s ease-out 0s 1 forwards, fillOpacity 0.75s ease-out 0s 1 forwards;
            -moz-animation: IncreaseWidth0To100 0.75s ease-out 0s 1 forwards, fillOpacity 0.75s ease-out 0s 1 forwards;
            -o-animation: IncreaseWidth0To100 0.75s ease-out 0s 1 forwards, fillOpacity 0.75s ease-out 0s 1 forwards;
        }
    }

    &__content {
        width: 0;
        opacity: 0;

        &--opened-anim {
            opacity: 0;
            width: 100%;

            animation: fillOpacity 0.75s ease-out 0.2s 1 forwards;
            -webkit-animation: fillOpacity 0.75s ease-out 0.2s 1 forwards;
            -moz-animation: fillOpacity 0.75s ease-out 0.2s 1 forwards;
            -o-animation: fillOpacity 0.75s ease-out 0.2s 1 forwards;
        }

        &--closed-anim {
            opacity: 1;
            width: 100%;

            animation: drainOpacity 0.75s ease-out 0s 1 forwards;
            -webkit-animation: drainOpacity 0.75s ease-out 0s 1 forwards;
            -moz-animation: drainOpacity 0.75s ease-out 0s 1 forwards;
            -o-animation: drainOpacity 0.75s ease-out 0s 1 forwards;
        }
    }
}